Werk #14648: Pre 2.0 bakery plugins are no longer supported

Komponente Agent bakery
Titel Pre 2.0 bakery plugins are no longer supported
Datum 03.10.2022
Checkmk-Editon Checkmk Enterprise (CEE)
Checkmk-Version 2.2.0i1
Level Kleine Änderung
Klasse Neues Feature
Kompatibilität Inkompatibel - Manuelle Interaktion könnte erforderlich sein

This werk only affects users with custom bakery plugins that have not been migrated to the new plugin API (introduced in Checkmk version 2.0). As announced in Werk #11401 the support for legacy bakery plugins (used in Checkmk version 1.6 and earlier) is now dropped. To see if this affects you, you can grep for the string "bakery_info[" in your local/share/checkmk folder.

Help on how to migrate these plugins can be found in the "Plugin API reference" section of the sites help menu.

Zur Liste aller Werks